Subject: bug#6657: closed (Re: bug#6657: mkstemp on cygwin creates binary files)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Sep 2011 12:10:02 +0000

Your bug report

#6657: mkstemp on cygwin creates binary files

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6657: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6657
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6657: mkstemp on cygwin creates binary files
From: Jim Meyering <[email-masked]>
To: Paolo Bonzini <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Sep 2011 14:04:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 6657 notabug
thanks

Paolo Bonzini wrote:
> I recently got by private email a report that "sed -i" changed the
> line endings of the file to bare linefeeds on cygwin.  The reason for
> this is that mkstemp on cygwin hardcodes the flags to O_EXCL|O_BINARY:
>
> http://www.cygwin.com/ml/cygwin-patches/2006-q2/msg00013.html
>
> I fixed it by using instead mkostemp(template, 0).  From a quick "git
> grep", it seems like sort and tac are affected by the bug in
> coreutils.

Thanks for the heads up.
This turned out not to be a problem with coreutils,
so I'm marking this as "done".

Subject: mkstemp on cygwin creates binary files
From: Paolo Bonzini <[email-masked]>
To: [email-masked]
Date: Fri, 16 Jul 2010 22:27:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I recently got by private email a report that "sed -i" changed the line 
endings of the file to bare linefeeds on cygwin.  The reason for this is 
that mkstemp on cygwin hardcodes the flags to O_EXCL|O_BINARY:

http://www.cygwin.com/ml/cygwin-patches/2006-q2/msg00013.html

I fixed it by using instead mkostemp(template, 0).  From a quick "git 
grep", it seems like sort and tac are affected by the bug in coreutils.

Thanks!

Paolo